Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.rss.endpoint
Class RssInboundEndpoint

    java.lang.Object
      org.mule.endpoint.AbstractEndpoint
          org.mule.endpoint.DefaultInboundEndpoint
              org.mule.module.rss.endpoint.RssInboundEndpoint

All Implemented Interfaces:
  Serializable, FlowConstructAware, ImmutableEndpoint, InboundEndpoint, Disposable, Startable, Stoppable, MessageSource, MessageRequesting

    public class RssInboundEndpoint

extends DefaultInboundEndpoint

TODO

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.endpoint.AbstractEndpoint
`logger, retryPolicyTemplate`

Fields inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`INITIAL_STATE_STARTED, INITIAL_STATE_STOPPED`

Fields inherited from interface org.mule.api.transport.MessageRequesting
`REQUEST_NO_WAIT, REQUEST_WAIT_INDEFINITELY`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`RssInboundEndpoint(boolean splitFeed, Date lastUpdate, InboundEndpoint ie)`

Method Summary
`Date` | `getLastUpdate()`
`boolean` | `isProtocolSupported(String protocol)`
`boolean` | `isSplitFeed()`
`boolean` | `onMessage(MuleMessage message)`

Methods inherited from class org.mule.endpoint.DefaultInboundEndpoint
`createMessageProcessorChain, dispose, getExceptionListener, hashCode, request, setExceptionListener, setFlowConstruct, setListener, start, stop`

Methods inherited from class org.mule.endpoint.AbstractEndpoint
`equal, equals, getAddress, getConnector, getEncoding, getEndpointBuilderName, getEndpointURI, getExchangePattern, getFilter, getInitialState, getMessageProcessorChain, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getMuleContext, getName, getProperties, getProperty, getProtocol, getResponseMessageProcessors, getResponseTimeout, getResponseTransformers, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, getTransformers, isDeleteUnacceptedMessages, isDisableTransportTransformer, isReadOnly, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`getAddress, getConnector, getEncoding, getEndpointBuilderName, getEndpointURI, getExchangePattern, getFilter, getInitialState, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getMuleContext, getName, getProperties, getProperty, getProtocol, getResponseMessageProcessors, getResponseTimeout, getResponseTransformers, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, getTransformers, isDeleteUnacceptedMessages, isDisableTransportTransformer, isReadOnly`

Constructor Detail

### RssInboundEndpoint

    public RssInboundEndpoint(boolean splitFeed,
                              Date lastUpdate,
                              InboundEndpoint ie)

Method Detail

### isSplitFeed

    public boolean isSplitFeed()

### getLastUpdate

    public Date getLastUpdate()

### isProtocolSupported

    public boolean isProtocolSupported(String protocol)

  Specified by:
    `isProtocolSupported` in interface `ImmutableEndpoint`
  Overrides:
    `isProtocolSupported` in class `AbstractEndpoint`

### onMessage

    public boolean onMessage(MuleMessage message)
                      throws MuleException

  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.